<template src="./template.html"></template>

<script lang="ts">
import { Component, Prop, Vue, Watch } from 'nuxt-property-decorator';
import axios from 'axios';
//@ts-ignore
import VueSlickCarousel from 'vue-slick-carousel';
import 'vue-slick-carousel/dist/vue-slick-carousel.css';
import 'vue-slick-carousel/dist/vue-slick-carousel-theme.css';
//@ts-ignore
import { VueperSlides, VueperSlide } from 'vueperslides';
import 'vueperslides/dist/vueperslides.css';
@Component({
	components: { VueperSlides, VueperSlide, VueSlickCarousel },
})
export default class DialogAddToCartComponent extends Vue {
	slides = [
		{
			image: 'https://file1.dangcongsan.vn/DATA/0/2018/10/68___gi%E1%BA%BFng_l%C3%A0ng_qu%E1%BA%A3ng_ph%C3%BA_c%E1%BA%A7u__%E1%BB%A9ng_h%C3%B2a___%E1%BA%A3nh_vi%E1%BA%BFt_m%E1%BA%A1nh-16_51_07_908.jpg',
		},
		{
			image: 'https://haycafe.vn/wp-content/uploads/2022/01/Hinh-anh-nam-buon-nhat.jpg',
		},
		{
			image: 'https://demoda.vn/wp-content/uploads/2022/01/hinh-anh-nam-buon-dep-nhat-1.jpg',
		},
	];

	listProductFrequently = [
		{
			name: '1pc Funny Cat Toy Stick Teaser Feather...',
			priority: 1,
			price: 4.99,
		},
		{
			name: '1pc Funny Cat Toy Stick Teaser Feather...',
			priority: 0,
			price: 4.99,
		},
		{
			name: '1pc Funny Cat Toy Stick Teaser Feather...',
			priority: 0,
			price: 4.99,
		},
	];

	listCartRecommentdations = [
		{
			name: 'New Funny Cat Toys Interactive Teaser Training Toy Kittens Interactive Games Pet Supplies Accessories Toys For Cat',
			link: '/products/new-funny-cat-toys-interactive-teaser-training-toy-kittens-interactive-games-pet-supplies-accessories-toys-for-cat',
			image: 'https://img.thesitebase.net/10328/10328418/products/360x360@16637817329566b3b518.jpeg',
			price: 19.49,
			priceDiscount: 14.99,
		},
		{
			name: 'New Funny Cat Toys Interactive Teaser Training Toy Kittens Interactive Games Pet Supplies Accessories Toys For Cat',
			link: '/products/new-funny-cat-toys-interactive-teaser-training-toy-kittens-interactive-games-pet-supplies-accessories-toys-for-cat',
			image: 'https://img.thesitebase.net/10328/10328418/products/360x360@16637817329566b3b518.jpeg',
			price: 19.49,
			priceDiscount: 14.99,
		},
		{
			name: 'New Funny Cat Toys Interactive Teaser Training Toy Kittens Interactive Games Pet Supplies Accessories Toys For Cat',
			link: '/products/new-funny-cat-toys-interactive-teaser-training-toy-kittens-interactive-games-pet-supplies-accessories-toys-for-cat',
			image: 'https://img.thesitebase.net/10328/10328418/products/360x360@16637817329566b3b518.jpeg',
			price: 19.49,
			priceDiscount: 14.99,
		},
		{
			name: 'New Funny Cat Toys Interactive Teaser Training Toy Kittens Interactive Games Pet Supplies Accessories Toys For Cat',
			link: '/products/new-funny-cat-toys-interactive-teaser-training-toy-kittens-interactive-games-pet-supplies-accessories-toys-for-cat',
			image: 'https://img.thesitebase.net/10328/10328418/products/360x360@16637817329566b3b518.jpeg',
			price: 19.49,
			priceDiscount: 14.99,
		},
		{
			name: 'New Funny Cat Toys Interactive Teaser Training Toy Kittens Interactive Games Pet Supplies Accessories Toys For Cat',
			link: '/products/new-funny-cat-toys-interactive-teaser-training-toy-kittens-interactive-games-pet-supplies-accessories-toys-for-cat',
			image: 'https://img.thesitebase.net/10328/10328418/products/360x360@16637817329566b3b518.jpeg',
			price: 19.49,
			priceDiscount: 14.99,
		},
		{
			name: 'New Funny Cat Toys Interactive Teaser Training Toy Kittens Interactive Games Pet Supplies Accessories Toys For Cat',
			link: '/products/new-funny-cat-toys-interactive-teaser-training-toy-kittens-interactive-games-pet-supplies-accessories-toys-for-cat',
			image: 'https://img.thesitebase.net/10328/10328418/products/360x360@16637817329566b3b518.jpeg',
			price: 19.49,
			priceDiscount: 14.99,
		},
		{
			name: 'New Funny Cat Toys Interactive Teaser Training Toy Kittens Interactive Games Pet Supplies Accessories Toys For Cat',
			link: '/products/new-funny-cat-toys-interactive-teaser-training-toy-kittens-interactive-games-pet-supplies-accessories-toys-for-cat',
			image: 'https://img.thesitebase.net/10328/10328418/products/360x360@16637817329566b3b518.jpeg',
			price: 19.49,
			priceDiscount: 14.99,
		},
	];

	selected = 0;
	quantity = 1;

	settings = {
		arrows: false,
		autoplay: true,
		infinite: true,
		speed: 500,
		slidesToShow: 3,
		slidesToScroll: 3,
		touchThreshold: 3,
	};

	closeDialogAddToCart() {
		this.$store.commit('product/setDialogAddToCart', false);
	}

	get dialogAddToCart() {
		const dialogAddToCart = this.$store.state.product.dialogAddToCart;
		if (dialogAddToCart) {
			return true;
		}
		return false;
	}

	onAddToCart() {
		this.$store.commit('product/setDialogAddToCart', false);
		this.$store.commit('product/setDialogAdded', true);
	}
}
</script>

<style src="./style.css"></style>
